in scala.xml.parsing
class MarkupHandler

abstract `class` MarkupHandler
  `extends` java.lang.Object
  `with` scala.util.logging.Logged
  `with` scala.ScalaObject

  class that handles markup - provides callback methods to MarkupParser. the default is nonvalidating behaviour

todo:
  can we ignore more entity declarations (i.e. those with extIDs)?
todo:
  expanding entity references

Constructor Summary
| `def` this

Def Summary
| `def` attListDecl ( name : java.lang.String , attList : scala.List[scala.xml.dtd.AttrDecl] ) : scala.Unit
| `def` comment ( pos : scala.Int , comment : java.lang.String ) : scala.xml.NodeSeq callback method invoked by MarkupParser after parsing comment.
| `def` elem ( pos : scala.Int , pre : java.lang.String , label : java.lang.String , attrs : scala.xml.MetaData , scope : scala.xml.NamespaceBinding , args : scala.xml.NodeSeq ) : scala.xml.NodeSeq callback method invoked by MarkupParser after parsing an elementm, between the elemStart and elemEnd callbacks
| `def` elemDecl ( n : java.lang.String , cmstr : java.lang.String ) : scala.Unit
| `def` elemEnd ( pos : scala.Int , pre : java.lang.String , label : java.lang.String ) : scala.Unit callback method invoked by MarkupParser after end-tag of element.
| `def` elemStart ( pos : scala.Int , pre : java.lang.String , label : java.lang.String , attrs : scala.xml.MetaData , scope : scala.xml.NamespaceBinding ) : scala.Unit callback method invoked by MarkupParser after start-tag of element.
| `def` endDTD ( n : java.lang.String ) : scala.Unit
| `def` entityRef ( pos : scala.Int , n : java.lang.String ) : scala.xml.NodeSeq callback method invoked by MarkupParser after parsing entity ref.
| `def` lookupElemDecl ( Label : java.lang.String ) : scala.xml.dtd.ElemDecl
| `def` notationDecl ( notat : java.lang.String , extID : scala.xml.dtd.ExternalID ) : scala.Unit
| `def` parameterEntityDecl ( name : java.lang.String , edef : scala.xml.dtd.EntityDef ) : scala.Unit
| `def` parsedEntityDecl ( name : java.lang.String , edef : scala.xml.dtd.EntityDef ) : scala.Unit
| `def` peReference ( name : java.lang.String ) : scala.Unit
| `def` procInstr ( pos : scala.Int , target : java.lang.String , txt : java.lang.String ) : scala.xml.NodeSeq callback method invoked by MarkupParser after parsing PI.
| `def` replacementText ( entityName : java.lang.String ) : scala.io.Source
| `def` reportSyntaxError ( pos : scala.Int , str : java.lang.String ) : scala.Unit report a syntax error
| `def` text ( pos : scala.Int , txt : java.lang.String ) : scala.xml.NodeSeq callback method invoked by MarkupParser after parsing text.
| `def` unparsedEntityDecl ( name : java.lang.String , extID : scala.xml.dtd.ExternalID , notat : java.lang.String ) : scala.Unit

Constructor Detail

`def` this

Def Detail

`def` attListDecl ( name : java.lang.String , attList : scala.List[scala.xml.dtd.AttrDecl] ) : scala.Unit

`def` comment ( pos : scala.Int , comment : java.lang.String ) : scala.xml.NodeSeq

  callback method invoked by MarkupParser after parsing comment.

`def` elem ( pos : scala.Int , pre : java.lang.String , label : java.lang.String , attrs : scala.xml.MetaData , scope : scala.xml.NamespaceBinding , args : scala.xml.NodeSeq ) : scala.xml.NodeSeq

  callback method invoked by MarkupParser after parsing an elementm, between the elemStart and elemEnd callbacks

param:
  pos the position in the sourcefile
param:
  pre the prefix
param:
  label the local name
param:
  attrs the attributes (metadata)
param:
  args the children of this element

`def` elemDecl ( n : java.lang.String , cmstr : java.lang.String ) : scala.Unit

`def` elemEnd ( pos : scala.Int , pre : java.lang.String , label : java.lang.String ) : scala.Unit

  callback method invoked by MarkupParser after end-tag of element.

param:
  pos the position in the sourcefile
param:
  pre the prefix
param:
  label the local name
param:
  attrs the attributes (metadata)

`def` elemStart ( pos : scala.Int , pre : java.lang.String , label : java.lang.String , attrs : scala.xml.MetaData , scope : scala.xml.NamespaceBinding ) : scala.Unit

  callback method invoked by MarkupParser after start-tag of element.

param:
  pos the position in the sourcefile
param:
  pre the prefix
param:
  label the local name
param:
  attrs the attributes (metadata)

`def` endDTD ( n : java.lang.String ) : scala.Unit

`def` entityRef ( pos : scala.Int , n : java.lang.String ) : scala.xml.NodeSeq

  callback method invoked by MarkupParser after parsing entity ref.

todo:
  expanding entity references

`def` lookupElemDecl ( Label : java.lang.String ) : scala.xml.dtd.ElemDecl

`def` notationDecl ( notat : java.lang.String , extID : scala.xml.dtd.ExternalID ) : scala.Unit

`def` parameterEntityDecl ( name : java.lang.String , edef : scala.xml.dtd.EntityDef ) : scala.Unit

`def` parsedEntityDecl ( name : java.lang.String , edef : scala.xml.dtd.EntityDef ) : scala.Unit

`def` peReference ( name : java.lang.String ) : scala.Unit

`def` procInstr ( pos : scala.Int , target : java.lang.String , txt : java.lang.String ) : scala.xml.NodeSeq

  callback method invoked by MarkupParser after parsing PI.

`def` replacementText ( entityName : java.lang.String ) : scala.io.Source

`def` reportSyntaxError ( pos : scala.Int , str : java.lang.String ) : scala.Unit

  report a syntax error

`def` text ( pos : scala.Int , txt : java.lang.String ) : scala.xml.NodeSeq

  callback method invoked by MarkupParser after parsing text.

`def` unparsedEntityDecl ( name : java.lang.String , extID : scala.xml.dtd.ExternalID , notat : java.lang.String ) : scala.Unit